Name:           sudo
Version:        1.9.5p2
Release:        %mkrel 1
Epoch:          1
Summary:        Allows command execution as root for specified users
License:        GPLv2+
Group:          System/Base
URL:            http://www.sudo.ws/sudo
Source0:        http://www.sudo.ws/sudo/dist/%{name}-%{version}%{?pre}.tar.gz
Source1:        http://www.sudo.ws/sudo/dist/%{name}-%{version}%{?pre}.tar.gz.sig
Source2:        sudo.pamd
Source3:        sudoers
Patch1:         sudo-1.6.7p5-strip.patch
Patch2:         sudo-1.7.2p1-envdebug.patch
BuildRequires:  pkgconfig(audit)
BuildRequires:  bison
BuildRequires:  groff-for-man
BuildRequires:  pkgconfig(libcap)
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
Requires(pre):  openldap
# for create_ghostfile in post
Requires(post): rpm-helper

%description
Sudo (superuser do) allows a system administrator to give certain users (or
groups of users) the ability to run some (or all) commands as root while
logging all commands and arguments. Sudo operates on a per-command basis.
It is not a replacement for the shell. Features include: the ability to
restrict what commands a user may run on a per-host basis, copious logging
of each command (providing a clear audit trail of who did what), a
configurable timeout of the sudo command, and the ability to use the same
configuration file (sudoers) on many different machines.

%package devel
Summary:        Development files for sudo plugins
Group:          Development/C
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
Development files for compiling sudo plugins.

%prep
%setup -q -n %{name}-%{version}%{?pre}
%patch1 -p1 -b .strip
%patch2 -p1 -b .envdebug

# fix attribs
find -name "Makefile.*" | xargs perl -pi -e "s|-m 0444|-m 0644|g"


%build
# handle newer autoconf
rm -f acsite.m4
mv aclocal.m4 acinclude.m4
autoreconf -fv --install

%serverbuild
export CFLAGS="%{optflags} -D_GNU_SOURCE"

%configure2_5x \
        --without-rpath \
        --with-logging=both \
        --with-logfac=authpriv \
        --with-logpath=%{_logdir}/sudo.log \
        --with-editor=/bin/vi \
	--enable-openssl \
	--disable-root-mailer \
        --enable-log-host \
        --with-pam \
        --with-pam-login \
        --with-env-editor \
        --with-noexec=no \
        --with-linux-audit \
        --with-ignore-dot \
        --with-tty-tickets \
        --with-ldap \
        --with-ldap-conf-file=%{_sysconfdir}/nslcd.conf \
        --with-ldap-secret-file=%{_sysconfdir}/nslcd.conf \
        --with-secure-path="/sbin:%{_sbindir}:/bin:%{_bindir}:/usr/local/bin:/usr/local/sbin" \
        --with-passprompt="[sudo] password for %p: " \
        --with-plugindir=%{_libdir}/sudo \
	--with-sendmail=/usr/sbin/sendmail

%make_build

%install
install -d %{buildroot}/usr
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sudoers.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_var}/db/sudo
install -d %{buildroot}%{_var}/db/sudo/lectured
install -d %{buildroot}%{_logdir}/sudo
install -d %{buildroot}%{_logdir}/sudo-io

%make_install install_uid=$UID install_gid=$(id -g) sudoers=uid=$UID sudoers_gid=$(id -g)

install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/sudo
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sudoers

# Installing logrotated file
cat <<END >%{buildroot}%{_sysconfdir}/logrotate.d/sudo
%{_logdir}/sudo.log {
    missingok
    monthly
    compress
}
END

cat > %{buildroot}%{_sysconfdir}/pam.d/sudo << EOF
#%PAM-1.0
auth            include         system-auth
account         include         system-auth
password        include         system-auth
session         optional        pam_keyinit.so revoke
session         required        pam_limits.so
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/sudo-i << EOF
#%PAM-1.0
auth            include         sudo
account         include         sudo
password        include         sudo
session         optional        pam_keyinit.so force revoke
session         required        pam_limits.so
EOF

# so that strip can touch it...
chmod 755 %{buildroot}%{_bindir}/*
chmod 755 %{buildroot}%{_sbindir}/*

# (tpg) create the missing log file
touch %{buildroot}%{_logdir}/sudo.log

# move the lib to a common place
mv %{buildroot}%{_libexecdir}/sudo/* %{buildroot}%{_libdir}/
rm -rf %{buildroot}%{_libexecdir}/sudo

# cleanup
rm -rf %{buildroot}%{_datadir}/examples samples
cp -rp examples samples
rm -f samples/Makefile*
# too big
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog

find %{buildroot} -type f -name "*.la" | xargs rm

%find_lang sudo
%find_lang sudoers

cat sudo.lang sudoers.lang > sudo_all.lang
rm sudo.lang sudoers.lang

%check
%__make check

%post
/bin/chmod 0440 %{_sysconfdir}/sudoers || :
%create_ghostfile %{_logdir}/sudo.log root root 600

%files -f sudo_all.lang
%doc samples
%{_docdir}/%{name}/CONTRIBUTORS
%{_docdir}/%{name}/LICENSE
%{_docdir}/%{name}/NEWS
%{_docdir}/%{name}/HISTORY
%{_docdir}/%{name}/README
%{_docdir}/%{name}/README.LDAP
%{_docdir}/%{name}/TROUBLESHOOTING
%{_docdir}/%{name}/UPGRADE
%{_docdir}/%{name}/schema.ActiveDirectory
%{_docdir}/%{name}/schema.OpenLDAP
%{_docdir}/%{name}/schema.iPlanet
%{_docdir}/%{name}/schema.olcSudo
%{_docdir}/%{name}/examples/*.conf
%{_docdir}/%{name}/examples/sudoers
%attr(0440,root,root) %config(noreplace) %{_sysconfdir}/sudoers
%attr(0440,root,root) %config(noreplace) %{_sysconfdir}/sudoers.dist
%attr(0440,root,root) %config(noreplace) %{_sysconfdir}/sudo.conf
%attr(0440,root,root) %config(noreplace) %{_sysconfdir}/sudo_logsrvd.conf
%attr(0750,root,root) %dir %{_sysconfdir}/sudoers.d/
%config(noreplace) %{_sysconfdir}/logrotate.d/sudo
%config(noreplace) %{_sysconfdir}/pam.d/sudo
%config(noreplace) %{_sysconfdir}/pam.d/sudo-i
%attr(0755,root,root) %{_bindir}/cvtsudoers
%attr(0755,root,root) %{_sbindir}/sudo_logsrvd
%attr(0755,root,root) %{_sbindir}/sudo_sendlog
%attr(4111,root,root) %{_bindir}/sudo
%{_bindir}/sudoedit
%attr(0111,root,root) %{_bindir}/sudoreplay
%attr(0755,root,root) %{_sbindir}/visudo
%ghost %{_logdir}/sudo.log
%{_mandir}/*/*
%attr(0700,root,root) %dir %{_var}/db/sudo
%attr(0700,root,root) %dir %{_var}/db/sudo/lectured
%attr(0750,root,root) %dir %{_logdir}/sudo-io
%attr(0755,root,root) %{_libdir}/sudo/group_file.so
%attr(0755,root,root) %{_libdir}/sudo/sudoers.so
%attr(0755,root,root) %{_libdir}/sudo/system_group.so
%attr(0755,root,root) %{_libdir}/sudo/audit_json.so
%attr(0755,root,root) %{_libdir}/sudo/sample_approval.so
%{_libdir}/libsudo_util.so.0
%attr(0755,root,root) %{_libdir}/libsudo_util.so.*.*
%{_tmpfilesdir}/sudo.conf

%files devel
%doc plugins/{group_file,sample}
%{_includedir}/sudo_plugin.h
%{_mandir}/man8/sudo_plugin.8*
%{_libdir}/libsudo_util.so


%changelog
* Tue Jan 26 2021 tmb <tmb> 1:1.9.5p2-1.mga7
+ Revision: 1673637
- update to 1.9.5p2 (CVE-2021-3156, mga#28230)
+ ns80 <ns80>
- new version 1.9.5 for security issues (mga#28067)
- add patch for CVE-2019-18634 (mga#26155)
- new version 1.8.28 for CVE-2019-14287 (mga#25568)
+ neoclust <neoclust>
- New version 1.8.31p1 ( mga#26314 )

* Mon Jan 14 2019 luigiwalser <luigiwalser> 1:1.8.27-1.mga7
+ Revision: 1356300
- 1.8.27

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1:1.8.26-1.mga7
+ Revision: 1345690
- 1.8.26

* Sun Sep 23 2018 umeabot <umeabot> 1:1.8.23-2.mga7
+ Revision: 1301224
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 luigiwalser <luigiwalser> 1:1.8.23-1.mga7
+ Revision: 1241506
- 1.8.23
- sudoers2ldif replaced by cvtsudoers

* Wed Apr 18 2018 kekepower <kekepower> 1:1.8.22-1.mga7
+ Revision: 1219835
- Update to version 1.8.22

* Tue Nov 21 2017 tmb <tmb> 1:1.8.21p2-2.mga7
+ Revision: 1178156
- Require rpm-helper for create_ghostfile call in post

* Sat Sep 09 2017 joequant <joequant> 1:1.8.21p2-1.mga7
+ Revision: 1152253
- update and rebuild

* Sat Jun 03 2017 luigiwalser <luigiwalser> 1:1.8.20p2-1.mga6
+ Revision: 1106327
- 1.8.20p2

* Wed May 31 2017 luigiwalser <luigiwalser> 1:1.8.20p1-1.mga6
+ Revision: 1105639
- 1.8.20p1 (fixes CVE-2017-1000367)

* Wed May 17 2017 luigiwalser <luigiwalser> 1:1.8.20-1.mga6
+ Revision: 1102283
- 1.8.20

* Wed Apr 05 2017 luigiwalser <luigiwalser> 1:1.8.19p2-1.mga6
+ Revision: 1095936
- 1.8.19p2

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1:1.8.19p1-1.mga6
+ Revision: 1078932
- 1.8.19p1

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1:1.8.18p1-1.mga6
+ Revision: 1066574
- 1.8.18p1 (fixes CVE-2016-7076)

* Tue Oct 04 2016 luigiwalser <luigiwalser> 1:1.8.18-1.mga6
+ Revision: 1058668
- 1.8.18
- add --disable-root-mailer configure option

* Wed Sep 14 2016 tv <tv> 1:1.8.17p1-2.mga6
+ Revision: 1052892
- sudoers: allow wheel group by default (mga#19342)

* Fri Jul 22 2016 luigiwalser <luigiwalser> 1:1.8.17p1-1.mga6
+ Revision: 1043128
- 1.8.17p1 (fixes CVE-2016-8239)

* Mon Jun 06 2016 luigiwalser <luigiwalser> 1:1.8.15-3.mga6
+ Revision: 1020458
- remove INPUTRC from env_keep due to possible info leak (rhbz#1339935)

* Wed Feb 17 2016 umeabot <umeabot> 1:1.8.15-2.mga6
+ Revision: 962964
- Mageia 6 Mass Rebuild
+ luigiwalser <luigiwalser>
- use nslcd.conf for ldap config instead of ldap.conf which no longer is used

* Mon Nov 09 2015 luigiwalser <luigiwalser> 1:1.8.15-1.mga6
+ Revision: 900136
- 1.8.15 (fixes CVE-2015-5602)
- remove upstreamed patches 3 and 4

* Wed Sep 23 2015 blino <blino> 1:1.8.12-3.mga6
+ Revision: 882306
- fix doc file list for rpm 4.13 (now errors out on unpackaged files in docdir)
+ luigiwalser <luigiwalser>
- disable visiblepw instead of enable requiretty in sudoers (mga#16590)

* Sat Feb 21 2015 luigiwalser <luigiwalser> 1:1.8.12-2.mga5
+ Revision: 816279
- add upstream patch to fix linking error with libsudo_util.so
- add upstream patch to fix handling when crypt() returns NULL

* Sat Feb 14 2015 oden <oden> 1:1.8.12-1.mga5
+ Revision: 814926
- bump release
- 1.8.12

* Wed Oct 15 2014 umeabot <umeabot> 1:1.8.10p3-4.mga5
+ Revision: 750013
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 1:1.8.10p3-3.mga5
+ Revision: 737649
- add upstream patch to blacklist new-style bash function environment variables

* Tue Sep 16 2014 umeabot <umeabot> 1:1.8.10p3-2.mga5
+ Revision: 689578
- Mageia 5 Mass Rebuild

* Wed May 14 2014 luigiwalser <luigiwalser> 1:1.8.10p3-1.mga5
+ Revision: 622656
- 1.8.10p3

* Wed Mar 19 2014 luigiwalser <luigiwalser> 1:1.8.10p2-1.mga5
+ Revision: 605632
- 1.8.10p2

* Sat Mar 15 2014 luigiwalser <luigiwalser> 1:1.8.10p1-1.mga5
+ Revision: 603980
- 1.8.10p1

* Tue Mar 11 2014 luigiwalser <luigiwalser> 1:1.8.10-1.mga5
+ Revision: 601985
- 1.8.10

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1:1.8.9p5-1.mga5
+ Revision: 591436
- 1.8.9p5

* Thu Nov 07 2013 tv <tv> 1:1.8.8-3.mga4
+ Revision: 549844
- disable patch4 (thus fixing iurt) (mga#11374)

* Mon Oct 21 2013 umeabot <umeabot> 1:1.8.8-2.mga4
+ Revision: 538827
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 luigiwalser <luigiwalser> 1:1.8.8-1.mga4
+ Revision: 490475
- 1.8.8

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1:1.8.7-1.mga4
+ Revision: 451036
- 1.8.7
- remove upstreamed patch 3
- update files list

* Fri May 24 2013 luigiwalser <luigiwalser> 1:1.8.6p8-1.mga4
+ Revision: 426728
- 1.8.6p8

* Thu Feb 28 2013 luigiwalser <luigiwalser> 1:1.8.6p7-1.mga3
+ Revision: 400679
- 1.8.6p7

* Tue Feb 12 2013 luigiwalser <luigiwalser> 1:1.8.6p6-1.mga3
+ Revision: 397943
- 1.8.6p6

* Thu Jan 31 2013 luigiwalser <luigiwalser> 1:1.8.6p5-1.mga3
+ Revision: 393626
- 1.8.6p5

* Mon Jan 14 2013 umeabot <umeabot> 1:1.8.6p3-3.mga3
+ Revision: 383578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 1:1.8.6p3-2.mga3
+ Revision: 340151
- Place plugins in /usr/lib/sudo/ instead of libexecdir, they are .so to dlopen

* Sun Sep 23 2012 luigiwalser <luigiwalser> 1:1.8.6p3-1.mga3
+ Revision: 296897
- 1.8.6p3

* Sat Sep 15 2012 luigiwalser <luigiwalser> 1:1.8.6p1-1.mga3
+ Revision: 294256
- 1.8.6p1
- rediff patch 3
- remove upstreamed patch 5

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1:1.8.5p1-1.mga3
+ Revision: 275808
- 1.8.5p1
- add pipelist and sssd-support patches from mdv
- other minor syncing with mdv package

* Thu May 17 2012 luigiwalser <luigiwalser> 1:1.8.3p2-2.mga3
+ Revision: 235868
- add patch for CVE-2012-2337 (improper netmask matching)

* Mon Jan 30 2012 boklm <boklm> 1:1.8.3p2-1.mga2
+ Revision: 203379
- Version 1.8.3.p2 (fixing format string vulnerability)

* Mon Oct 31 2011 fwang <fwang> 1:1.8.3p1-1.mga2
+ Revision: 160282
- new version 1.8.3p1

* Fri Oct 07 2011 shlomif <shlomif> 1:1.8.2-1.mga2
+ Revision: 152774
- New version of sudo - 1.8.2. Patch to SPEC contributed by barjac.
+ rtp <rtp>
- fix build with noexec disabled
- fix file list
+ tv <tv>
- drop patch 5 (merged upstream)
- new release

* Thu Mar 24 2011 pterjan <pterjan> 1:1.8.0-4.mga1
+ Revision: 76858
- Fix missing epoch in -devel dependency

* Wed Mar 23 2011 blino <blino> 1:1.8.0-3.mga1
+ Revision: 75835
- fix exit value of sudo -l command in sudoers module (from upstream)

* Mon Mar 21 2011 dmorgan <dmorgan> 1:1.8.0-2.mga1
+ Revision: 75107
- Add upstream patch for fix the use of the -n option ( Bug #475)

* Sat Mar 19 2011 boklm <boklm> 1:1.8.0-1.mga1
+ Revision: 74482
- update to version 1.8.0
- removed patches :
 * sudo-1.7.4p4-auditconn.patch: removed from fedora package
 * sudo-1.7.4p3-sudolist.patch: removed from fedora package
 * sudo-1.7.4p4-sudoi.patch: applied upstream
 * sudo-1.7.4p4-getgrouplist.patch: does not apply to new version, and
   needs small modifications. Fixing Red Hat bug #235915, but not applied
   upstream since 2007.
+ blino <blino>
- imported package sudo


* Wed Nov 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.4-2.p4.2mdv2011.0
+ Revision: 592998
- sync changes with fc15
- nuke old cruft

* Sun Sep 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.4-2.p4.1mdv2011.0
+ Revision: 577607
- 1.7.4p4

* Sun Aug 08 2010 Michael Scherer <misc@mandriva.org> 1:1.7.4-2mdv2011.0
+ Revision: 567715
- fix run with default config file, since /etc/sudoers.d is needed

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 1:1.7.4-1mdv2011.0
+ Revision: 565214
- new version 1.7.4

* Sat Jul 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.7.3-1mdv2011.0
+ Revision: 554564
- update to new version 1.7.3
- update file list

* Fri Jun 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.2-0.p7.1mdv2010.1
+ Revision: 547897
- 1.7.2p7

* Tue Apr 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.2-0.p6.1mdv2010.1
+ Revision: 534258
- 1.7.2p6

* Wed Feb 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.2-0.p4.1mdv2010.1
+ Revision: 510689
- 1.7.2p4

* Sun Aug 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.7.2-0.p1.1mdv2010.0
+ Revision: 412992
- update to new version 1.7.2p1

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.7.1-1mdv2010.0
+ Revision: 373790
- update to new version 1.7.1

* Thu May 07 2009 Colin Guthrie <cguthrie@mandriva.org> 1:1.7.0-2mdv2010.0
+ Revision: 372838
- Fix path to ldap.conf (do not use the openldap ldap.conf)

* Sat Dec 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.7.0-1mdv2009.1
+ Revision: 316503
- drop patch1
- set explicit path to the LDAP configuration file
- fix docs
- add openldap as a requires(pre)
- update to new version 1.7.0

* Fri Nov 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p18-1mdv2009.1
+ Revision: 303345
- update to new patch release 18

* Tue Aug 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p17-1mdv2009.0
+ Revision: 274076
- update to new patchlevel 17

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:1.6.9p16-3mdv2009.0
+ Revision: 265743
- rebuild early 2009.0 package (before pixel changes)

* Sun May 18 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1:1.6.9p16-2mdv2009.0
+ Revision: 208578
- increase mkrel, and release

* Mon May 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p16-1mdv2009.0
+ Revision: 206501
- update to the latest patchlevel
- add missing log file

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p15-1mdv2009.0
+ Revision: 195280
- update to the latest patchlevel

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p13-1mdv2008.1
+ Revision: 173446
- update to the latest patchlevel
- add missing buildrequires on bison and groff-for-man

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.6.9p12-3mdv2008.1
+ Revision: 157335
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild with fixed %%serverbuild macro

* Tue Jan 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p12-1mdv2008.1
+ Revision: 155998
- new patch release

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p11-1mdv2008.1
+ Revision: 146899
- new patch release
- do not package INSTALL file

* Sat Dec 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p10-1mdv2008.1
+ Revision: 139063
- new patch release

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.6.9p8-3mdv2008.1
+ Revision: 136100
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.6.9p8-2mdv2008.1
+ Revision: 106359
- rebuild for lzma man page

* Sat Nov 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.6.9p8-1mdv2008.1
+ Revision: 105508
- 1.6.9p8

* Fri Oct 26 2007 David Walluck <walluck@mandriva.org> 1:1.6.9p7-1mdv2008.1
+ Revision: 102443
- 1.6.9p7
- always include sudo.pamd in src.rpm
- call %%{configure2_5x}
- use correct macros for paths
- use standard buildroot

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new release

* Thu Sep 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1:1.6.9p5-1mdv2008.0
+ Revision: 85183
- Upstream's TODO file doesn't exist anymore.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p4-1mdv2008.0
+ Revision: 65404
- new version
- correct url

* Fri Aug 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p3-1mdv2008.0
+ Revision: 58394
- new version

* Thu Aug 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p2-1mdv2008.0
+ Revision: 57903
- new version
- remove /usr/X11R6/bin from the secure path

* Fri Jul 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9p1-2mdv2008.0
+ Revision: 56323
- new version (bugfixes)

* Mon Jul 23 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.6.9-2mdv2008.0
+ Revision: 54662
- %%{optflags} doesn't include the security flags set by %%serverbuild

* Sun Jul 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.9-1mdv2008.0
+ Revision: 54403
- remove patch 0
- new version

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.6.8p12-8mdv2008.0
+ Revision: 45062
- using new serverbuild macro (-fstack-protector)

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.6.8p12-7mdv2008.0
+ Revision: 43263
- use -fstack-protector


* Tue Feb 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.8p12-6mdv2007.0
+ Revision: 126251
- no ugly and unjustified file requires on /etc/pam.d/system-auth
- spec cleanup
- use patch from gentoo to fix nss issue (fix #23421)

* Fri Feb 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:1.6.8p12-5mdv2007.1
+ Revision: 125075
- Import sudo

* Fri Feb 23 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.8p12-5mdv2007.1
- update patch 0: whitelist GP_LANG & GP_LANGUAGE (#25419)

* Fri Sep 01 2006 Warly <warly@mandriva.com> 1:1.6.8p12-4mdv2007.0
- make sudo use a whitelist rather than blacklist

* Tue May 02 2006 Stefan van der Eijk <stefan@eijk.nu> 1:1.6.8p12-3mdk
- rebuild for sparc

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 1.6.8p12-2mdk
- use "include" directive instead of deprecated pam_stack module
  (and remove hardcoded library path)
- move pam.d config in Source2

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.6.8p12-1mdk
- 1.6.8p12
- merged bits from the sudo-1.6.8p8-CVE-2005-2959_4158.patch

* Thu Oct 06 2005 Pascal Terjan <pterjan@mandriva.org> 1.6.8p9-1mdk
- 1.6.8p9

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.6.8p8-2mdk
- rebuilt against new openldap-2.3.6 libs

* Mon Jun 06 2005 Pascal TErjan <pterjan@mandriva.org> 1:1.6.8p8-1mdk
- 1.6.8p8
- summary-ended-with-dot

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.8p1-2mdk
- rebuild for ldap2.2_7

* Wed Sep 22 2004 Olivier Blin <blino@mandrake.org> 1.6.8p1-1mdk
- 1.6.8p1

* Sun Aug 29 2004 Olivier Blin <blino@mandrake.org> 1.6.8-2mdk
- ldap support
- add README.ldap and sudoers2ldif in package

* Sat Aug 28 2004 Olivier Blin <blino@mandrake.org> 1.6.8-1mdk
- 1.6.8
- spec file fixes for stable versions
- do not build sudo_noexec
- ship sudoedit

* Tue Aug 03 2004 Olivier Blin <blino@mandrake.org> 1.6.7-0.p5.3mdk
- define a sane secure path (fix bug 448)

